Load all snippets

Beta

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional

Request

This endpoint expects an object.
orgIdstringOptional
If the same API is defined across multiple organization, you must specify an organization ID.
apiIdstringOptional
If you have more than one API, you must specify its ID.
sdkslist of objectsOptional
The SDKs for which to load snippets. If unspecified, snippets for the latest published SDKs will be returned.

Response

This endpoint returns an object.
snippetsmap from strings to maps from enums to lists of objects

The snippets are returned as a map of endpoint path (e.g. /api/users) to a map of endpoint method (e.g. POST) to snippets.

Allowed values:
nextinteger

If present, pass this into the page query parameter to load the next page.

Errors

400
API ID Required Error
400
Invalid Page Error
400
Org ID Required Error
401
Unauthorized Error
403
User Not IN Org Error
404
Org ID Not Found
404
Org ID and API ID Not Found
404
Sdknot Found
503
Unavailable Error